import request from '@/utils/request'

// 查询客户端授权总列表
export function listLicense(query) {
  return request({
    url: '/system/license/list',
    method: 'get',
    params: query
  })
}

// 查询客户端授权总详细
export function getLicense(id) {
  return request({
    url: '/system/license/' + id,
    method: 'get'
  })
}

// 新增客户端授权总
export function addLicense(data) {
  return request({
    url: '/system/license',
    method: 'post',
    data: data
  })
}

// 修改客户端授权总
export function updateLicense(data) {
  return request({
    url: '/system/license',
    method: 'put',
    data: data
  })
}

// 删除客户端授权总
export function delLicense(id) {
  return request({
    url: '/system/license/' + id,
    method: 'delete'
  })
}
